#include "chdecl.h"
void CH_codegen_cgprocess(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb6;
    case 4: goto c7;
    case 5: goto cb11;
    case 6: goto c12;
    case 7: goto cb22;
    case 8: goto c23;
    case 9: goto cb24;
    case 10: goto c25;
    case 11: goto cb26;
    case 12: goto c27;
    case 13: goto c39;
    case 14: goto c57;
    case 15: goto c59;
    case 16: goto c98;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* prog_lit 4 , 1 */
  if ((ch_returncode = che_prog_lit(DEF(4),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* create 5 4 , 2 */
  if ((ch_returncode = che_create(DEF(5),DEF(4),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* move 6 5 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
  current->ip = 3;
cb6:
/* call 6 3.0 3.1 7 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(7),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c7:
/* new_record 3.2 , 10 */
  if ((ch_val.record = new_record(10)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).value = ch_val; REF(3)DOT(2).tsdr = & dr_record;
/* unique 3.2.0 */
  if ((ch_returncode = che_unique(DEF(3)DOT(2)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* find 8 3.0.1.0 3.1.4.0.1.2 , 0 */
  if (findfunc(DEF(8),DEF(3)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(2),
            & arguments[0]),sched,0) == FAILURE) goto ch_notfound;
  current->ip = 5;
cb11:
/* call 3.1.3.2 8.2 3.1 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(2),
          arguments[1] = DEF(8)DOT(2),
          arguments[2] = DEF(3)DOT(1),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* find 9 8.1 3.0.2 , 0 */
  if (findfunc(DEF(9),DEF(8)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 9.1 , 0 */
  if (0 != REF(9)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 3.2.2 9.1.0 */
  if((ch_returncode = (REF(9)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(9)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(2).tsdr)->finalize)(REF(3)DOT(2)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(2).value = ch_val;
  REF(3)DOT(2)DOT(2).tsdr = datarepmap[REF(9)DOT(1)DOT(0).tsdr->number];
/* copy 10 3.1.5.4 */
  if((ch_returncode = (REF(3)DOT(1)DOT(5)DOT(4).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(5)DOT(4).value)) != Normal) goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = datarepmap[REF(3)DOT(1)DOT(5)DOT(4).tsdr->number];
/* insert 3.1.4.3.1 10 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(10)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* unite 3.1.4.3.2 11 , 5 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(11),sched,
    5)) != Normal) goto ch_raise_exception;
/* copy 12 3.1.4.3.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr->number];
/* insert 3.1.4.2.2 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(12)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 7;
cb22:
/* call 3.1.4.9 13 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(9),
          arguments[1] = DEF(13),
          arguments[1+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* move 3.1.4.2.3 13 */
  (*(REF(3)DOT(1)DOT(4)DOT(2)DOT(3).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(2)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(2)DOT(3) = REF(13);
  REF(13).tsdr = & dr_bottom;
  current->ip = 9;
cb24:
/* call 3.1.3.0 3.1.4.2 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(0),
          arguments[1] = DEF(3)DOT(1)DOT(4)DOT(2),
          arguments[1+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c25:
/* copy 3.2.1 3.1.4.2.3 */
  if((ch_returncode = (REF(3)DOT(1)DOT(4)DOT(2)DOT(3).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(2)DOT(3).value)) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(1).tsdr)->finalize)(REF(3)DOT(2)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(1).value = ch_val;
  REF(3)DOT(2)DOT(1).tsdr = datarepmap[REF(3)DOT(1)DOT(4)DOT(2)DOT(3).tsdr
    ->number];
  current->ip = 11;
cb26:
/* call 3.1.3.1 3.1.4.2 14 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(1),
          arguments[1] = DEF(3)DOT(1)DOT(4)DOT(2),
          arguments[2] = DEF(14),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c27:
/* move 3.2.3 14 */
  (*(REF(3)DOT(2)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(3) = REF(14);
  REF(14).tsdr = & dr_bottom;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 15 , "Process Names" */
  if( !chs_lit(DEF(15),"Process Names") ) goto ch_depletion;
/* find 16 3.1.0.2 15 , 0 */
  if (findfunc(DEF(16),DEF(3)DOT(1)DOT(0)DOT(2),(
          arguments[0] = DEF(15),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 17 16.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(16)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_polymorph;
/* unwrap 18 17 , 9 */
  if ((ch_returncode = che_unwrap(DEF(18),DEF(17),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* copy 19 3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = datarepmap[REF(3)DOT(0)DOT(0).tsdr->number];
/* unite 20 19 , 0 */
  if ((ch_returncode = che_unite(DEF(20),DEF(19),sched,0)) != Normal)
     goto ch_raise_exception;
/* find 21 18 20 , 0 */
  if (findfunc(DEF(21),DEF(18),(
          arguments[0] = DEF(20),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 3.2.4 21.1 */
  if((ch_returncode = cp_table(& ch_val, REF(21)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4).value = ch_val;
  REF(3)DOT(2)DOT(4).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 59 */
   goto c59;
c39:
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 22 , "Module Name" */
  if( !chs_lit(DEF(22),"Module Name") ) goto ch_depletion;
/* find 23 3.1.0.2 22 , 0 */
  if (findfunc(DEF(23),DEF(3)DOT(1)DOT(0)DOT(2),(
          arguments[0] = DEF(22),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 17 23.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(23)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_polymorph;
/* unwrap 24 17 , 11 */
  if ((ch_returncode = che_unwrap(DEF(24),DEF(17),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 3.0.0 3.1.0.1 , 50 */
  if ( !(REF(3)DOT(0)DOT(0).tsdr->equal)(REF(3)DOT(0)DOT(0).value,
    REF(3)DOT(1)DOT(0)DOT(1).value) ) goto c50;
/* move 3.2.4 24 */
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4) = REF(24);
  REF(24).tsdr = & dr_bottom;
/* branch , 54 */
   goto c54;
c50:
/* chs_lit 25 , "_proglit" */
  if( !chs_lit(DEF(25),"_proglit") ) goto ch_depletion;
/* concat 26 24 25 */
  if ((ch_returncode = che_concat(DEF(26),DEF(24),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* move 3.2.4 26 */
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4) = REF(26);
  REF(26).tsdr = & dr_bottom;
c54:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 59 */
   goto c59;
c57:
/* chs_lit 3.2.4 , "unnamed_process" */
  if( !chs_lit(DEF(3)DOT(2)DOT(4),"unnamed_process") ) goto ch_depletion;
c59:
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* chs_lit 3.2.5 , "" */
  if( !chs_lit(DEF(3)DOT(2)DOT(5),"") ) goto ch_depletion;
/* chs_lit 3.2.6 , "" */
  if( !chs_lit(DEF(3)DOT(2)DOT(6),"") ) goto ch_depletion;
/* chs_lit 3.2.7 , "" */
  if( !chs_lit(DEF(3)DOT(2)DOT(7),"") ) goto ch_depletion;
/* ilit 3.2.8 , 0 */
  REF(3)DOT(2)DOT(8).value.integer = 0;
  REF(3)DOT(2)DOT(8).tsdr = & dr_integer;
/* new_table 3.2.9 , 12 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(9),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* discard 3.1.4.0.0 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr = & dr_bottom;
/* discard 3.1.4.0.1.0 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(0).tsdr = & dr_bottom;
/* discard 3.1.4.0.1.1 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(1).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(1).tsdr = & dr_bottom;
/* discard 3.1.4.0.1.2 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(2).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(2).tsdr = & dr_bottom;
/* discard 3.1.4.0.1 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(1).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(1).tsdr = & dr_bottom;
/* discard 3.1.4.0.2 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(2).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(2).tsdr = & dr_bottom;
/* discard 3.1.4.0.3 */
  (*(REF(3)DOT(1)DOT(4)DOT(0)DOT(3).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(0)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0)DOT(3).tsdr = & dr_bottom;
/* discard 3.1.4.0 */
  (*(REF(3)DOT(1)DOT(4)DOT(0).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(0).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(0).tsdr = & dr_bottom;
/* discard 3.1.4.1.0 */
  (*(REF(3)DOT(1)DOT(4)DOT(1)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(1)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(1)DOT(0).tsdr = & dr_bottom;
/* discard 3.1.4.1.1 */
  (*(REF(3)DOT(1)DOT(4)DOT(1)DOT(1).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(1)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(1)DOT(1).tsdr = & dr_bottom;
/* discard 3.1.4.1.2 */
  (*(REF(3)DOT(1)DOT(4)DOT(1)DOT(2).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(1)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(1)DOT(2).tsdr = & dr_bottom;
/* discard 3.1.4.1.3 */
  (*(REF(3)DOT(1)DOT(4)DOT(1)DOT(3).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(1)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(1)DOT(3).tsdr = & dr_bottom;
/* discard 3.1.4.1 */
  (*(REF(3)DOT(1)DOT(4)DOT(1).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(1).tsdr = & dr_bottom;
/* discard 3.1.4.2.0 */
  (*(REF(3)DOT(1)DOT(4)DOT(2)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(2)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(2)DOT(0).tsdr = & dr_bottom;
/* discard 3.1.4.2.1 */
  (*(REF(3)DOT(1)DOT(4)DOT(2)DOT(1).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(2)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(2)DOT(1).tsdr = & dr_bottom;
/* discard 3.1.4.2.2 */
  (*(REF(3)DOT(1)DOT(4)DOT(2)DOT(2).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(2)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(2)DOT(2).tsdr = & dr_bottom;
/* discard 3.1.4.2 */
  (*(REF(3)DOT(1)DOT(4)DOT(2).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(2).tsdr = & dr_bottom;
/* discard 3.1.4.4 */
  (*(REF(3)DOT(1)DOT(4)DOT(4).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(4).tsdr = & dr_bottom;
/* discard 3.1.4.5 */
  (*(REF(3)DOT(1)DOT(4)DOT(5).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(5).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(5).tsdr = & dr_bottom;
/* discard 3.1.4.6 */
  (*(REF(3)DOT(1)DOT(4)DOT(6).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(6).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(6).tsdr = & dr_bottom;
/* discard 3.1.4.7 */
  (*(REF(3)DOT(1)DOT(4)DOT(7).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(7).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(7).tsdr = & dr_bottom;
/* discard 3.1.4.8 */
  (*(REF(3)DOT(1)DOT(4)DOT(8).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(8).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(8).tsdr = & dr_bottom;
/* discard 3.1.4.9 */
  (*(REF(3)DOT(1)DOT(4)DOT(9).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(9).tsdr = & dr_bottom;
/* discard 3.1.4 */
  (*(REF(3)DOT(1)DOT(4).tsdr)->finalize)(REF(3)DOT(1)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* send 7 11 */
  if ((ch_returncode = che_send(DEF(7),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c98:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
